//T3(0)
#include<bits/stdc++.h>
#define ll long long
#define ld long double
#define ull unsigned long long
#define pii pair<int, int>
#define pll pair<ll, ll>
#define lowbit(x) ((x)&(-(x)))
using namespace std;

int C, T;

void solve(){
	printf("2\n");
}

int main(){
	freopen("traverse.in", "r", stdin);
	freopen("traverse.out", "w", stdout);
	
	scanf("%d %d", &C, &T);
	for (int it = 1; it <= T; it++)
		solve();
	return 0;
}
